Subject: [core] Need for random OSCORE Sender IDs?

From: Göran Selander <[email-masked]>
Date: Wed, 14 Mar 2018 08:07:20 +0000

All,

One IESG review comment on OSCORE related to the use of random Sender IDs.

As a remnant from previous versions the draft speaks about "uniformly
random distributed byte strings if the probability of collisions is
negligible”. With the default AEAD algorithm the current available size of
Sender ID is 7 bytes.

Question: Is anyone interested in deployments which must have large random
Sender IDs, or can we assume that unique Sender IDs are available or
assigned/agreed, e.g. at the same time when the Master Secret is?

Unless someone objects we will remove the formulation about random Sender
IDs.

Regards
Göran